
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpClient Cache 4.2.3</title>
</head><body onload="loadPkgPane('HttpClient Cache 4.2.3', 'pkg-app.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient Cache 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:14:22 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">App</span>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="proj-risks.html">Clouds</a></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:52:16 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      1,998
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      8,479
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      931
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.73
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      696
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      4,538
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.47
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.15
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      422
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      58
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.21
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.75
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      59
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      4
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:52:16 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      1,998
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      8,479
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      931
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.73
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      696
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      4,538
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.47
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.15
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      422
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      58
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.21
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.75
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      59
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      4
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Packages</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='proj-risks.html'><img alt='Cloud icon for Clover database Mon Jan 14 2013 22:52:16 CET' src='img/cloud.png'/></a>
	        <span class="sortValue">Clover&nbsp;database&nbsp;Mon&nbsp;Jan&nbsp;14&nbsp;2013&nbsp;22:52:16&nbsp;CET</span>
    	   Clover&nbsp;database&nbsp;Mon&nbsp;Jan&nbsp;14&nbsp;2013&nbsp;22:52:16&nbsp;CET
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.206161</span>
          2.21
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">419.0</span>
          419
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.86553276</span>
          86.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.86553276</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86.6% Covered" class="barPositive " style="width: 86.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Package</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Files</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage graphs -->
                    <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/client/cache/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.client.cache' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.client.cache</span>
    	  <a href="org/apache/http/impl/client/cache/pkg-summary.html" title="org.apache.http.impl.client.cache">org.apache.http.impl.client.cache</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">35.0</span>
          35
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2931507</span>
          2.29
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">395.0</span>
          395
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8599291</span>
          86%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8599291</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86% Covered" class="barPositive " style="width: 86%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/client/cache/pkg-risks.html'><img alt='Cloud icon for org.apache.http.client.cache' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.client.cache</span>
    	  <a href="org/apache/http/client/cache/pkg-summary.html" title="org.apache.http.client.cache">org.apache.http.client.cache</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2173913</span>
          1.22
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8933333</span>
          89.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8933333</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="10.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="89.3% Covered" class="barPositive " style="width: 89.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/client/cache/memcached/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.client.cache.memcached' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.client.cache.memcached</span>
    	  <a href="org/apache/http/impl/client/cache/memcached/pkg-summary.html" title="org.apache.http.impl.client.cache.memcached">org.apache.http.impl.client.cache.memcached</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9186047</span>
          91.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9186047</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.9% Covered" class="barPositive " style="width: 91.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/client/cache/ehcache/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.client.cache.ehcache' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.client.cache.ehcache</span>
    	  <a href="org/apache/http/impl/client/cache/ehcache/pkg-summary.html" title="org.apache.http.impl.client.cache.ehcache">org.apache.http.impl.client.cache.ehcache</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7142857</span>
          1.71
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9591837</span>
          95.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9591837</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.9% Covered" class="barPositive " style="width: 95.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:14:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody></table>
</body>
</html>
